Bug 253342 - nmh inc exit status bug
Summary: nmh inc exit status bug
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nmh   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josh Bressers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-17 23:33 UTC by Ahmon Dancy
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.2-20070115cvs.4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 05:39:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for this issue (2.15 KB, patch)
2007-08-20 13:18 UTC, Josh Bressers
no flags Details | Diff

Description Ahmon Dancy 2007-08-17 23:33:36 UTC
Just upgraded from FC5 to FC7 and this problem starting happening.  

nmh-1.2-20070115cvs.3.fc7

The following command returns a non-zero exit status now.  Before the upgrade,
it returned 0.
inc +sprs  -file /tmp/testmbox -silent; echo $?

This command, however, (which is the same as the above, except w/o -silent) does
return the proper exit status (0).
inc +sprs  -file /tmp/testmbox; echo $?

This is hosing my mail filtering scripts.

Comment 1 Ahmon Dancy 2007-08-18 00:14:08 UTC
The nmh from fc6 works (after a rebuild).  

I had a look at inc.c in the sources and there are definite suspicious changes
between the two versions.


Comment 2 Josh Bressers 2007-08-20 13:17:53 UTC
I see the problem and I know how to fix it.  Hopefully I can build a new package
later today.

Comment 3 Josh Bressers 2007-08-20 13:18:50 UTC
Created attachment 161872 [details]
Patch for this issue

I'll also include this in the upstream CVS later today.

Comment 4 Josh Bressers 2007-08-22 01:03:53 UTC
I have submitted an update for this.  In theory the update system should close
this bug upon it being pushed.

I've also added this fix upstream.  Please let me know if you find any issues
with my fix.

Thanks for the report.

Comment 5 Fedora Update System 2007-08-24 05:39:08 UTC
nmh-1.2-20070115cvs.4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Ahmon Dancy 2007-08-24 17:17:06 UTC
Thank you.  It's working fine now.


Note You need to log in before you can comment on or make changes to this bug.